org.richfaces.taglib

## Class TabTag

- java.lang.Object
- - javax.faces.webapp.UIComponentTagBase
  - - javax.faces.webapp.UIComponentClassicTagBase
    - - javax.faces.webapp.UIComponentELTag
      - - org.richfaces.webapp.taglib.UIComponentELTagBase
        - - org.ajax4jsf.webapp.taglib.UIComponentTagBase
          - - org.ajax4jsf.webapp.taglib.HtmlComponentTagBase
            - - org.richfaces.taglib.TabTag

- All Implemented Interfaces:
    javax.servlet.jsp.tagext.BodyTag, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspIdConsumer, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

      public class TabTag
      extends org.ajax4jsf.webapp.taglib.HtmlComponentTagBase

- - ### Field Summary

    - ### Fields inherited from class javax.faces.webapp.UIComponentClassicTagBase

      `bodyContent, pageContext, UNIQUE_ID_PREFIX`

    - ### Fields inherited from interface javax.servlet.jsp.tagext.Tag

      `EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

    - ### Fields inherited from interface javax.servlet.jsp.tagext.BodyTag

      `EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

    - ### Fields inherited from interface javax.servlet.jsp.tagext.IterationTag

      `EVAL_BODY_AGAIN`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TabTag()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getComponentType()`
    `java.lang.String` | `getRendererType()`
    `void` | `release()`
    `void` | `setAction(javax.el.MethodExpression __action)` MethodBinding pointing at the application action to be invoked, if this UIComponent is activated by you, during the Apply Request Values or Invoke Application phase of the request processing lifecycle, depending on the value of the immediate property Setter for action
    `void` | `setActionListener(javax.el.MethodExpression __actionListener)` MethodBinding pointing at method accepting an ActionEvent with return type void Setter for actionListener
    `void` | `setAjaxSingle(javax.el.ValueExpression __ajaxSingle)` boolean attribute which provides possibility to limit JSF tree processing(decoding, conversion/validation, value applying) to the component which send the request only Setter for ajaxSingle
    `void` | `setBypassUpdates(javax.el.ValueExpression __bypassUpdates)` If "true", after process validations phase it skips updates of model beans on a force render response.
    `void` | `setData(javax.el.ValueExpression __data)` Serialized (on default with JSON) data passed on the client by a developer on AJAX request.
    `void` | `setDisabled(javax.el.ValueExpression __disabled)` Disables a tab in a tab panel Setter for disabled
    `void` | `setEventsQueue(javax.el.ValueExpression __eventsQueue)` Name of requests queue to avoid send next request before complete other from same event.
    `void` | `setFocus(javax.el.ValueExpression __focus)` id of element to set focus after request completed on client side Setter for focus
    `void` | `setIgnoreDupResponses(javax.el.ValueExpression __ignoreDupResponses)` Attribute allows to ignore an Ajax Response produced by a request if the newest 'similar' request is in a queue already. ignoreDupResponses="true" does not cancel the request while it is processed on the server, but just allows to avoid unnecessary updates on the client side if the response isn't actual now Setter for ignoreDupResponses
    `void` | `setImmediate(javax.el.ValueExpression __immediate)` True means, that the default ActionListener should be executed immediately (i.e. during Apply Request Values phase of the request processing lifecycle), rather than waiting until the Invoke Application phase Setter for immediate
    `void` | `setLabel(javax.el.ValueExpression __label)` Text for the actual "tab" in a tab section Setter for label
    `void` | `setLabelWidth(javax.el.ValueExpression __labelWidth)` Length for the actual "tab" in a tab section defined in pixels.
    `void` | `setLimitToList(javax.el.ValueExpression __limitToList)` If "true", then of all AJAX-rendered on the page components only those will be updated, which ID's are passed to the "reRender" attribute of the describable component.
    `void` | `setName(javax.el.ValueExpression __name)` Attribute defines tab name.
    `void` | `setOnbeforedomupdate(javax.el.ValueExpression __onbeforedomupdate)` The client side script method to be called before DOM is updated Setter for onbeforedomupdate
    `void` | `setOncomplete(javax.el.ValueExpression __oncomplete)` The client side script method to be called after the request is completed Setter for oncomplete
    `void` | `setOnlabelclick(javax.el.ValueExpression __onlabelclick)` A JavaScript event handler; a label of the tab is clicked Setter for onlabelclick
    `void` | `setOnlabeldblclick(javax.el.ValueExpression __onlabeldblclick)` A JavaScript event handler; a pointer within label is double-clicked Setter for onlabeldblclick
    `void` | `setOnlabelkeydown(javax.el.ValueExpression __onlabelkeydown)` A JavaScript event handler; a key within label is pressed down Setter for onlabelkeydown
    `void` | `setOnlabelkeypress(javax.el.ValueExpression __onlabelkeypress)` A JavaScript event handler; a key within label is pressed and released Setter for onlabelkeypress
    `void` | `setOnlabelkeyup(javax.el.ValueExpression __onlabelkeyup)` A JavaScript event handler; a key within label is released Setter for onlabelkeyup
    `void` | `setOnlabelmousedown(javax.el.ValueExpression __onlabelmousedown)` A JavaScript event handler; a pointer within label is pressed down Setter for onlabelmousedown
    `void` | `setOnlabelmousemove(javax.el.ValueExpression __onlabelmousemove)` A JavaScript event handler; a pointer is moved within label Setter for onlabelmousemove
    `void` | `setOnlabelmouseup(javax.el.ValueExpression __onlabelmouseup)` A JavaScript event handler; a pointer within label is released Setter for onlabelmouseup
    `void` | `setOntabenter(javax.el.ValueExpression __ontabenter)` Event must occur on the tab which has been entered Setter for ontabenter
    `void` | `setOntableave(javax.el.ValueExpression __ontableave)` Event must occur on the tab which has been left Setter for ontableave
    `void` | `setProcess(javax.el.ValueExpression __process)` Id['s] (in format of call UIComponent.findComponent()) of components, processed at the phases 2-5 in case of AjaxRequest caused by this component.
    `protected void` | `setProperties(javax.faces.component.UIComponent component)`
    `void` | `setRequestDelay(javax.el.ValueExpression __requestDelay)` Attribute defines the time (in ms.) that the request will be wait in the queue before it is ready to send.
    `void` | `setReRender(javax.el.ValueExpression __reRender)` Id['s] (in format of call UIComponent.findComponent()) of components, rendered in case of AjaxRequest caused by this component.
    `void` | `setSimilarityGroupingId(javax.el.ValueExpression __similarityGroupingId)` If there are any component requests with identical IDs then these requests will be grouped.
    `void` | `setStatus(javax.el.ValueExpression __status)` ID (in format of call UIComponent.findComponent()) of Request status component Setter for status
    `void` | `setSwitchType(javax.el.ValueExpression __switchType)` Tabs switch mode.
    `void` | `setTimeout(javax.el.ValueExpression __timeout)` Response waiting time on a particular request.

    - ### Methods inherited from class org.ajax4jsf.webapp.taglib.HtmlComponentTagBase

      `setDir, setLang, setOnclick, setOndblclick, setOnkeydown, setOnkeypress, setOnkeyup, setOnmousedown, setOnmousemove, setOnmouseout, setOnmouseover, setOnmouseup, setStyle, setStyleClass, setTitle`

    - ### Methods inherited from class org.ajax4jsf.webapp.taglib.UIComponentTagBase

      `getExpressionFactory, isValueReference, setActionListenerProperty, setActionProperty, setBooleanProperty, setBooleanProperty, setDoubleProperty, setDoubleProperty, setFloatProperty, setFloatProperty, setIntegerProperty, setIntegerProperty, setLongProperty, setLongProperty, setProperty, setProperty, setStringProperty, setStringProperty, setValueChangedListenerProperty, setValueProperty, setValueProperty`

    - ### Methods inherited from class org.richfaces.webapp.taglib.UIComponentELTagBase

      `setActionListenerProperty, setActionProperty, setConverterProperty, setRowKeyConverterProperty, setValidatorProperty, setValueChangeListenerProperty`

    - ### Methods inherited from class javax.faces.webapp.UIComponentELTag

      `createComponent, getELContext, hasBinding, setBinding, setRendered`

    - ### Methods inherited from class javax.faces.webapp.UIComponentClassicTagBase

      `addChild, addFacet, addVerbatimAfterComponent, addVerbatimBeforeComponent, createVerbatimComponent, createVerbatimComponentFromBodyContent, doAfterBody, doEndTag, doInitBody, doStartTag, encodeBegin, encodeChildren, encodeEnd, findComponent, getBodyContent, getComponentInstance, getCreated, getCreatedComponents, getDoAfterBodyValue, getDoEndValue, getDoStartValue, getFacesContext, getFacesJspId, getFacetName, getId, getIndexOfNextChildTag, getJspId, getParent, getParentUIComponentClassicTagBase, getPreviousOut, setBodyContent, setId, setJspId, setPageContext, setParent, setupResponseWriter`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.servlet.jsp.tagext.Tag

      `doEndTag, doStartTag, getParent, setPageContext, setParent`

- - ### Constructor Detail

    - #### TabTag

          public TabTag()

  - ### Method Detail

    - #### setAction

          public void setAction(javax.el.MethodExpression __action)

      MethodBinding pointing at the application action to be invoked, if this UIComponent is activated by you, during the Apply Request Values or Invoke Application phase of the request processing lifecycle, depending on the value of the immediate property Setter for action
      Parameters:
        `action` - - new value

    - #### setActionListener

          public void setActionListener(javax.el.MethodExpression __actionListener)

      MethodBinding pointing at method accepting an ActionEvent with return type void Setter for actionListener
      Parameters:
        `actionListener` - - new value

    - #### setAjaxSingle

          public void setAjaxSingle(javax.el.ValueExpression __ajaxSingle)

      boolean attribute which provides possibility to limit JSF tree processing(decoding, conversion/validation, value applying) to the component which send the request only Setter for ajaxSingle
      Parameters:
        `ajaxSingle` - - new value

    - #### setBypassUpdates

          public void setBypassUpdates(javax.el.ValueExpression __bypassUpdates)

      If "true", after process validations phase it skips updates of model beans on a force render response. It can be used for validating components input Setter for bypassUpdates
      Parameters:
        `bypassUpdates` - - new value

    - #### setData

          public void setData(javax.el.ValueExpression __data)

      Serialized (on default with JSON) data passed on the client by a developer on AJAX request. It's accessible via "data.foo" syntax Setter for data
      Parameters:
        `data` - - new value

    - #### setDisabled

          public void setDisabled(javax.el.ValueExpression __disabled)

      Disables a tab in a tab panel Setter for disabled
      Parameters:
        `disabled` - - new value

    - #### setEventsQueue

          public void setEventsQueue(javax.el.ValueExpression __eventsQueue)

      Name of requests queue to avoid send next request before complete other from same event. Can be used to reduce number of requests of frequently events (key press, mouse move etc.) Setter for eventsQueue
      Parameters:
        `eventsQueue` - - new value

    - #### setFocus

          public void setFocus(javax.el.ValueExpression __focus)

      id of element to set focus after request completed on client side Setter for focus
      Parameters:
        `focus` - - new value

    - #### setIgnoreDupResponses

          public void setIgnoreDupResponses(javax.el.ValueExpression __ignoreDupResponses)

      Attribute allows to ignore an Ajax Response produced by a request if the newest 'similar' request is in a queue already. ignoreDupResponses="true" does not cancel the request while it is processed on the server, but just allows to avoid unnecessary updates on the client side if the response isn't actual now Setter for ignoreDupResponses
      Parameters:
        `ignoreDupResponses` - - new value

    - #### setImmediate

          public void setImmediate(javax.el.ValueExpression __immediate)

      True means, that the default ActionListener should be executed immediately (i.e. during Apply Request Values phase of the request processing lifecycle), rather than waiting until the Invoke Application phase Setter for immediate
      Parameters:
        `immediate` - - new value

    - #### setLabel

          public void setLabel(javax.el.ValueExpression __label)

      Text for the actual "tab" in a tab section Setter for label
      Parameters:
        `label` - - new value

    - #### setLabelWidth

          public void setLabelWidth(javax.el.ValueExpression __labelWidth)

      Length for the actual "tab" in a tab section defined in pixels. If it is not defined, the length is calculated basing on a tab label text length Setter for labelWidth
      Parameters:
        `labelWidth` - - new value

    - #### setLimitToList

          public void setLimitToList(javax.el.ValueExpression __limitToList)

      If "true", then of all AJAX-rendered on the page components only those will be updated, which ID's are passed to the "reRender" attribute of the describable component. "false"-the default value-means that all components with ajaxRendered="true" will be updated. Setter for limitToList
      Parameters:
        `limitToList` - - new value

    - #### setName

          public void setName(javax.el.ValueExpression __name)

      Attribute defines tab name. Default value is "getId()". Setter for name
      Parameters:
        `name` - - new value

    - #### setOnbeforedomupdate

          public void setOnbeforedomupdate(javax.el.ValueExpression __onbeforedomupdate)

      The client side script method to be called before DOM is updated Setter for onbeforedomupdate
      Parameters:
        `onbeforedomupdate` - - new value

    - #### setOncomplete

          public void setOncomplete(javax.el.ValueExpression __oncomplete)

      The client side script method to be called after the request is completed Setter for oncomplete
      Parameters:
        `oncomplete` - - new value

    - #### setOnlabelclick

          public void setOnlabelclick(javax.el.ValueExpression __onlabelclick)

      A JavaScript event handler; a label of the tab is clicked Setter for onlabelclick
      Parameters:
        `onlabelclick` - - new value

    - #### setOnlabeldblclick

          public void setOnlabeldblclick(javax.el.ValueExpression __onlabeldblclick)

      A JavaScript event handler; a pointer within label is double-clicked Setter for onlabeldblclick
      Parameters:
        `onlabeldblclick` - - new value

    - #### setOnlabelkeydown

          public void setOnlabelkeydown(javax.el.ValueExpression __onlabelkeydown)

      A JavaScript event handler; a key within label is pressed down Setter for onlabelkeydown
      Parameters:
        `onlabelkeydown` - - new value

    - #### setOnlabelkeypress

          public void setOnlabelkeypress(javax.el.ValueExpression __onlabelkeypress)

      A JavaScript event handler; a key within label is pressed and released Setter for onlabelkeypress
      Parameters:
        `onlabelkeypress` - - new value

    - #### setOnlabelkeyup

          public void setOnlabelkeyup(javax.el.ValueExpression __onlabelkeyup)

      A JavaScript event handler; a key within label is released Setter for onlabelkeyup
      Parameters:
        `onlabelkeyup` - - new value

    - #### setOnlabelmousedown

          public void setOnlabelmousedown(javax.el.ValueExpression __onlabelmousedown)

      A JavaScript event handler; a pointer within label is pressed down Setter for onlabelmousedown
      Parameters:
        `onlabelmousedown` - - new value

    - #### setOnlabelmousemove

          public void setOnlabelmousemove(javax.el.ValueExpression __onlabelmousemove)

      A JavaScript event handler; a pointer is moved within label Setter for onlabelmousemove
      Parameters:
        `onlabelmousemove` - - new value

    - #### setOnlabelmouseup

          public void setOnlabelmouseup(javax.el.ValueExpression __onlabelmouseup)

      A JavaScript event handler; a pointer within label is released Setter for onlabelmouseup
      Parameters:
        `onlabelmouseup` - - new value

    - #### setOntabenter

          public void setOntabenter(javax.el.ValueExpression __ontabenter)

      Event must occur on the tab which has been entered Setter for ontabenter
      Parameters:
        `ontabenter` - - new value

    - #### setOntableave

          public void setOntableave(javax.el.ValueExpression __ontableave)

      Event must occur on the tab which has been left Setter for ontableave
      Parameters:
        `ontableave` - - new value

    - #### setProcess

          public void setProcess(javax.el.ValueExpression __process)

      Id['s] (in format of call UIComponent.findComponent()) of components, processed at the phases 2-5 in case of AjaxRequest caused by this component. Can be single id, comma-separated list of Id's, or EL Expression with array or Collection Setter for process
      Parameters:
        `process` - - new value

    - #### setReRender

          public void setReRender(javax.el.ValueExpression __reRender)

      Id['s] (in format of call UIComponent.findComponent()) of components, rendered in case of AjaxRequest caused by this component. Can be single id, comma-separated list of Id's, or EL Expression with array or Collection Setter for reRender
      Parameters:
        `reRender` - - new value

    - #### setRequestDelay

          public void setRequestDelay(javax.el.ValueExpression __requestDelay)

      Attribute defines the time (in ms.) that the request will be wait in the queue before it is ready to send. When the delay time is over, the request will be sent to the server or removed if the newest 'similar' request is in a queue already Setter for requestDelay
      Parameters:
        `requestDelay` - - new value

    - #### setSimilarityGroupingId

          public void setSimilarityGroupingId(javax.el.ValueExpression __similarityGroupingId)

      If there are any component requests with identical IDs then these requests will be grouped. Setter for similarityGroupingId
      Parameters:
        `similarityGroupingId` - - new value

    - #### setStatus

          public void setStatus(javax.el.ValueExpression __status)

      ID (in format of call UIComponent.findComponent()) of Request status component Setter for status
      Parameters:
        `status` - - new value

    - #### setSwitchType

          public void setSwitchType(javax.el.ValueExpression __switchType)

      Tabs switch mode. Possible values are "client", "server", "ajax", "page". Setter for switchType
      Parameters:
        `switchType` - - new value

    - #### setTimeout

          public void setTimeout(javax.el.ValueExpression __timeout)

      Response waiting time on a particular request. If a response is not received during this time, the request is aborted Setter for timeout
      Parameters:
        `timeout` - - new value

    - #### release

          public void release()

      Specified by:
        `release` in interface `javax.servlet.jsp.tagext.Tag`
      Overrides:
        `release` in class `org.ajax4jsf.webapp.taglib.HtmlComponentTagBase`

    - #### setProperties

          protected void setProperties(javax.faces.component.UIComponent component)

      Overrides:
        `setProperties` in class `org.ajax4jsf.webapp.taglib.HtmlComponentTagBase`

    - #### getComponentType

          public java.lang.String getComponentType()

      Specified by:
        `getComponentType` in class `javax.faces.webapp.UIComponentTagBase`

    - #### getRendererType

          public java.lang.String getRendererType()

      Specified by:
        `getRendererType` in class `javax.faces.webapp.UIComponentTagBase`

Copyright © 2014. All Rights Reserved.